## ruby-defaults 1.8.1-7

=== debian/changelog ===
ruby-defaults (1.8.1-7) unstable; urgency=low

  * Fumitoshi UKAI <ukai@debian.or.jp> Sat, 22 May 2004 00:10:37 +0900
   debian/control: add rdoc
   debian/rules: make symlink for usr/bin/rdoc and usr/share/man/man1/rdoc.1.gz
   debian/control: libruby section move to libs
    
 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 22 May 2004 00:14:45 +0900

ruby-defaults (1.8.1-3) unstable; urgency=low

  * Fumitoshi UKAI <ukai@debian.or.jp> Tue, 20 Jan 2004 22:05:57 +0900
   debian/control: add ri.
     ri package (for ruby1.6) has been renamed to ri1.6, so ri package is
     for ruby1.8 now, that is, ri depends ri1.8.
   debian/rules: make symlink for usr/bin/ri and usr/share/man/man1/ri.1.gz
	
 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 20 Jan 2004 22:05:02 +0900

ruby-defaults (1.8.1-2) unstable; urgency=low

  * Make ruby1.8 1.8.1 the default version of ruby.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu,  8 Jan 2004 01:26:01 +0900

ruby-defaults (1.8.0-2) unstable; urgency=low

  * Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 14 Sep 2003 03:43:20 +0900
    doc/ruby-policy.sgml: note about renmaing (conflicts & replaces)
     suggested by Dmitry Borodaenko <d.borodaenko@sam-solutions.net>
  
  * akira yamada <akira@debian.org> Sat, 13 Sep 2003 12:38:02 +0900
    doc/ruby-policy.sgml: s/Config:CONFIG/Config::CONFIG/g.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 14 Sep 2003 03:43:20 +0900

ruby-defaults (1.8.0-1) unstable; urgency=low

  * Make ruby1.8 the Default version of ruby.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  7 Sep 2003 23:21:43 +0900

ruby-defaults (1.6.8-6) unstable; urgency=low

  * Initial Release.
  * ruby-defaults provides default version of Ruby in debian distribution.
  * Old ruby package renamed to ruby1.6
  
  * changelog before debian package
    2003-08-22  Fumitoshi UKAI  <ukai@debian.or.jp>
      (doc/ruby-policy.sgml): version: 0.0.1.2
      (doc/ruby-policy.sgml): fix typo: /usr/lib/librubyX.Y.so.X..Y.Z

    2003-08-22  Fumitoshi UKAI  <ukai@debian.or.jp>
      (doc/ruby-policy.sgml): version: 0.0.1.1
      (doc/ruby-policy.sgml): fix typo: s/Python/Ruby/
        pointed by Dmitry Borodaenko

    2003-08-20  Fumitoshi UKAI  <ukai@debian.or.jp>
      initial public release of ruby-policy: 0.0.1

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 23 Aug 2003 01:24:37 +0900
