=== debian/control ===
Source: ruby-defaults
Section: interpreters
Priority: optional
Maintainer: Fumitoshi UKAI <ukai@debian.or.jp>
Uploaders: akira yamada <akira@debian.org>, Akira TAGOH <tagoh@debian.org>
Build-Depends-Indep: debhelper (>> 4.0.0), debiandoc-sgml
Standards-Version: 3.6.1

Package: ruby
Architecture: all
Depends: ruby1.8
Description: An interpreter of object-oriented scripting language Ruby
 Ruby is the interpreted scripting language for quick and
 easy object-oriented programming.  It has many features to
 process text files and to do system management tasks (as in
 perl).  It is simple, straight-forward, and extensible.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libruby
Section: libs
Architecture: all
Depends: libruby1.8
Description: Libraries necessary to run Ruby 1.8.x
 This package includes libruby, which is necessary to run Ruby.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libcurses-ruby
Architecture: all
Depends: libcurses-ruby1.8
Description: Curses interface for Ruby 
 This extended library adds the interface for curses to Ruby.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libdbm-ruby
Architecture: all
Depends: libdbm-ruby1.8
Description: DBM interface for Ruby
 This extended library adds the function for accessing a DBM file to Ruby.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libgdbm-ruby
Architecture: all
Depends: libgdbm-ruby1.8
Description: GDBM interface for Ruby
 This extended library adds the function for accessing a GDBM file to Ruby.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libpty-ruby
Architecture: all
Depends: libpty-ruby1.8
Description: pseudo tty interface for Ruby
 This extension library adds to Ruby a functionality to execute an arbitrary
 command through pseudo tty (pty).
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libreadline-ruby
Architecture: all
Depends: libreadline-ruby1.8
Description: Readline interface for Ruby
 This extended library adds the function for using readline library to Ruby.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libsdbm-ruby
Architecture: all
Depends: libsdbm-ruby1.8
Description: SDBM interface for Ruby
 This extended library adds the function for accessing a SDBM file to Ruby.
 .
 SDBM is ndbm work-alike hashed database library based on Per-Aake Larson's
 Dynamic Hashing algorithms. BIT 18 (1978).
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libtcltk-ruby
Architecture: all
Depends: libtcltk-ruby1.8
Description: Tcl/Tk interface for Ruby
 Tcl/Tk library for Ruby provides low level interface to the Tcl/Tk.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libtk-ruby
Architecture: all
Depends: libtk-ruby1.8
Description: Tk interface for Ruby
 Tk library for Ruby provides interface to the Tk.  This is built on top of
 Tcl/Tk library (libtcltk-ruby).
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libsyslog-ruby
Architecture: all
Depends: libsyslog-ruby1.8
Description: UNIX syslog(3) interface for Ruby
 Ruby interface to the UNIX syslog(3) calls.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libiconv-ruby
Architecture: all
Depends: libiconv-ruby1.8 (>= 1.8.1), libiconv-ruby1.8 (<< 1.8.2)
Description: A Wrapper class of iconv for the Ruby
 This is wrapper class of iconv for the Ruby, which translates string
 between various coding systems.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libracc-runtime-ruby
Architecture: all
Depends: libracc-runtime-ruby1.8 (>= 1.8.1), libracc-runtime-ruby1.8 (<< 1.8.2)
Description: Runtime library for parser which is generated by Racc
 This package provides runtime library for parser which is generated by
 Racc.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libstrscan-ruby
Architecture: all
Depends: libstrscan-ruby1.8 (>= 1.8.1), libstrscan-ruby1.8 (<< 1.8.2)
Description: Fast string scanning library for Ruby
 Strscan is a lexical scan library for Ruby.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libdl-ruby
Architecture: all
Depends: libdl-ruby1.8 (>= 1.8.1), libdl-ruby1.8 (<< 1.8.2)
Description: Extension library to use dynamic linker from Ruby
 Ruby/DL provides an interface to the dynamic linker such as dlopen() on
 UNIX and LoadLibrary() on Windows.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libzlib-ruby
Architecture: all
Depends: libzlib-ruby1.8 (>= 1.8.1), libzlib-ruby1.8 (<< 1.8.2)
Description: Extension library to use zlib from Ruby
 The extension library to use zlib from Ruby.  Ruby/zlib also provides
 the features for accessing gzipped files.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libbigdecimal-ruby
Architecture: all
Depends: libbigdecimal-ruby1.8 (>= 1.8.1), libbigdecimal-ruby1.8 (<< 1.8.2)
Description: Variable precision floating library for Ruby
 BigDecimal is an extension library for the Ruby interpreter. Using
 BigDecimal class, you can obtain any number of significant digits in
 computation.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libtest-unit-ruby
Architecture: all
Depends: libtest-unit-ruby1.8 (>= 1.8.1), libtest-unit-ruby1.8 (<< 1.8.2)
Description: unit-testing framework for the Ruby language
 This allows you to easily and flexibly write testing code for your
 Ruby classes and modules. The general idea behind unit testing is that
 you write a test method that makes certain assertions about your code,
 working against a test fixture. A bunch of these test methods are
 bundled up into a test suite and can be run any time the developer
 wants. The results of a run are gathered in a test result and displayed
 to the user through some UI. Test::Unit also has a compatibility layer
 for RubyUnit, the old unit testing framework for Ruby.
 .
 Because the Ruby/GTK package in Debian does not support Ruby 1.8, the
 GTK test runner is disabled for this package. The Fox test runner is also
 unavailable because Ruby's Fox module has not been packaged for Debian.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: liberb-ruby
Architecture: all
Depends: liberb-ruby1.8 (>= 1.8.1), liberb-ruby1.8 (<< 1.8.2)
Description: Tiny eRuby
 Yet another implementation of eRuby.  It is written as pure Ruby script.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libyaml-ruby
Architecture: all
Depends: libyaml-ruby1.8 (>= 1.8.1), libyaml-ruby1.8 (<< 1.8.2)
Description: YAML for Ruby
 YAML(tm) (rhymes with "camel") is a straightforward machine parsable data
 serialization format designed for human readability and interaction with
 scripting languages such as Perl and Python. YAML is optimized for data
 serialization, formatted dumping, configuration files, log files, Internet
 messaging and filtering.
 .
 This package contains YAML handling library for Ruby.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: librexml-ruby
Architecture: all
Depends: librexml-ruby1.8 (>= 1.8.1), librexml-ruby1.8 (<< 1.8.2)
Description: pure Ruby non-validating XML parser supporting Namespaces, XPath
 REXML is a XML parser for Ruby written purely in Ruby so you don't need to
 install any binary libraries. It includes a DOM-like API which fits the
 Ruby-way of human-oriented programming much more than the DOM and a
 SAX-like streaming API. Additionally you can apply XPath-expressions to the
 tree.  REXML also has support for XML-Namespaces.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libdrb-ruby
Architecture: all
Depends: libdrb-ruby1.8 (>= 1.8.1), libdrb-ruby1.8 (<< 1.8.2)
Description: Distributed Ruby
 An implementation of distributed object system by pure Ruby.  dRuby (DRb)
 can send message to other ruby script that like Java's RMI.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libxmlrpc-ruby
Architecture: all
Depends: libxmlrpc-ruby1.8 (>= 1.8.1), libxmlrpc-ruby1.8 (<< 1.8.2)
Description: XML-RPC support for Ruby
 XML-RPC provides remote procedure calls over HTTP with XML. It is like SOAP
 but much easier. For more information see the XML-RPC homepage
 <URL:http://www.xmlrpc.com/>. 
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libopenssl-ruby
Architecture: all
Depends: libopenssl-ruby1.8 (>= 1.8.1), libopenssl-ruby1.8 (<< 1.8.2)
Description: OpenSSL interface for Ruby
 This package makes Ruby to be able to use OpenSSL. It includes HTTP and
 TELNET protocols' SSL/TLS support.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libwebrick-ruby
Architecture: all
Depends: libwebrick-ruby1.8 (>= 1.8.1), libwebrick-ruby1.8 (<< 1.8.2)
Description: Simple HTTP Server Toolkit for Ruby
 WEBrick is a Ruby library program to build HTTP servers.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: ruby-elisp
Architecture: all
Depends: ruby1.8-elisp
Conflicts: ruby1.6-elisp
Replaces: ruby1.6-elisp
Description: Emacs-lisp ruby-mode for Ruby
 This package provides ruby-mode for Emacsen.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: irb
Architecture: all
Depends: irb1.8
Description: Interactive Ruby (irb)
 The irb is acronym for Interactive RuBy.  It evaluates Ruby expression from
 the terminal. 
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: ri
Architecture: all
Depends: ri1.8
Description: Ruby Interactive reference (ri)
 ri is a command line tool that displays descriptions of built-in Ruby
 methods, classes, and modules. For methods, it shows you the calling
 sequence and a description. For classes and modules, it shows a synopsis
 along with a list of the methods the class or module implements.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).
 
Package: rdoc
Architecture: all
Depends: rdoc1.8
Description:  Generate documentation from ruby source files
 RDoc - Documentation from Ruby Source Files
  * Generates structured HTML and XML documentation from Ruby source and C
    extensions.
  * Automatically extracts class, module, method, and attribute definitions.
    These can be annonated using inline comments.
  * Analyzes method visibility.
  * Handles aliasing.
  * Uses non-intrusive and implicit markup in the comments. Readers
    of the original source needn't know that it is marked up at all.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).
