=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

VER := 1.8
REV := $(shell dpkg-parsechangelog | sed -ne 's/^Version: .*-//p')

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp


#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp 
	# Add here commands to compile the arch part of the package.
	#$(MAKE) 

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp 
	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	(cd doc && $(MAKE) all)

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp
	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-(cd doc && $(MAKE) clean)
	dh_clean

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i
	dh_installdirs -i

install-arch:
#	dh_testdir
#	dh_testroot
#	dh_clean -k -a
#	dh_installdirs -a

# Must not depend on anything. This is to be called by
# binary-arch/binary-multi
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	DH_OPTIONS= dh_link -pruby usr/bin/ruby$(VER) usr/bin/ruby
	DH_OPTIONS= dh_link -pruby usr/share/man/man1/ruby$(VER).1.gz usr/share/man/man1/ruby.1.gz
	DH_OPTIONS= dh_link -pirb usr/bin/irb$(VER) usr/bin/irb
	DH_OPTIONS= dh_link -pirb usr/share/man/man1/irb$(VER).1.gz usr/share/man/man1/irb.1.gz
	DH_OPTIONS= dh_link -pri usr/bin/ri$(VER) usr/bin/ri
	DH_OPTIONS= dh_link -pri usr/share/man/man1/ri$(VER).1.gz usr/share/man/man1/ri.1.gz
	DH_OPTIONS= dh_link -prdoc usr/bin/rdoc$(VER) usr/bin/rdoc
	DH_OPTIONS= dh_link -prdoc usr/share/man/man1/rdoc$(VER).1.gz usr/share/man/man1/rdoc.1.gz
#	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_gencontrol
	cat debian/versions | while read package ver oldver;\
	 do \
		test V"$$ver" = V"=" || DH_OPTIONS= dh_gencontrol -p$$package -u-v$$ver-$(REV); \
	 done
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
#	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure
