## ruby-defaults 1.8.1-8

=== debian/changelog ===
ruby-defaults (1.8.1-8) unstable; urgency=low

  * debian/rules: make symlink for usr/bin/testrb and usr/share/man/man1/testrb.1.gz
    closes: Bug#257608
  * debian/control: rdoc section move to doc

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue,  6 Jul 2004 00:20:59 +0900
