=== debian/control ===
--- 
+++ 
@@ -305,6 +305,7 @@
  Ruby version (currently 1.8.x).
  
 Package: rdoc
+Section: doc
 Architecture: all
 Depends: rdoc1.8
 Description:  Generate documentation from ruby source files
