## ruby-defaults 1.8.2-1~hoary1

=== debian/changelog ===
ruby-defaults (1.8.2-1~hoary1) hoary-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Ubuntu Archive Auto-Backport <archive@ubuntu.com>  Wed,  3 Aug 2005 17:16:54 +0100

ruby-defaults (1.8.2-1) unstable; urgency=low

  * debian/control: remove unnecessary versioned depends
    closes: Bug#289771
  * debian/versions: updated

 -- ukai <ukai@debian.or.jp>  Wed, 12 Jan 2005 02:40:14 +0900
