=== debian/control ===
--- 
+++ 
@@ -116,7 +116,7 @@
 
 Package: libiconv-ruby
 Architecture: all
-Depends: libiconv-ruby1.8 (>= 1.8.1), libiconv-ruby1.8 (<< 1.8.2)
+Depends: libiconv-ruby1.8
 Description: A Wrapper class of iconv for the Ruby
  This is wrapper class of iconv for the Ruby, which translates string
  between various coding systems.
@@ -126,7 +126,7 @@
 
 Package: libracc-runtime-ruby
 Architecture: all
-Depends: libracc-runtime-ruby1.8 (>= 1.8.1), libracc-runtime-ruby1.8 (<< 1.8.2)
+Depends: libracc-runtime-ruby1.8
 Description: Runtime library for parser which is generated by Racc
  This package provides runtime library for parser which is generated by
  Racc.
@@ -136,7 +136,7 @@
 
 Package: libstrscan-ruby
 Architecture: all
-Depends: libstrscan-ruby1.8 (>= 1.8.1), libstrscan-ruby1.8 (<< 1.8.2)
+Depends: libstrscan-ruby1.8
 Description: Fast string scanning library for Ruby
  Strscan is a lexical scan library for Ruby.
  .
@@ -145,7 +145,7 @@
 
 Package: libdl-ruby
 Architecture: all
-Depends: libdl-ruby1.8 (>= 1.8.1), libdl-ruby1.8 (<< 1.8.2)
+Depends: libdl-ruby1.8
 Description: Extension library to use dynamic linker from Ruby
  Ruby/DL provides an interface to the dynamic linker such as dlopen() on
  UNIX and LoadLibrary() on Windows.
@@ -155,7 +155,7 @@
 
 Package: libzlib-ruby
 Architecture: all
-Depends: libzlib-ruby1.8 (>= 1.8.1), libzlib-ruby1.8 (<< 1.8.2)
+Depends: libzlib-ruby1.8
 Description: Extension library to use zlib from Ruby
  The extension library to use zlib from Ruby.  Ruby/zlib also provides
  the features for accessing gzipped files.
@@ -165,7 +165,7 @@
 
 Package: libbigdecimal-ruby
 Architecture: all
-Depends: libbigdecimal-ruby1.8 (>= 1.8.1), libbigdecimal-ruby1.8 (<< 1.8.2)
+Depends: libbigdecimal-ruby1.8
 Description: Variable precision floating library for Ruby
  BigDecimal is an extension library for the Ruby interpreter. Using
  BigDecimal class, you can obtain any number of significant digits in
@@ -176,7 +176,7 @@
 
 Package: libtest-unit-ruby
 Architecture: all
-Depends: libtest-unit-ruby1.8 (>= 1.8.1), libtest-unit-ruby1.8 (<< 1.8.2)
+Depends: libtest-unit-ruby1.8
 Description: unit-testing framework for the Ruby language
  This allows you to easily and flexibly write testing code for your
  Ruby classes and modules. The general idea behind unit testing is that
@@ -196,7 +196,7 @@
 
 Package: liberb-ruby
 Architecture: all
-Depends: liberb-ruby1.8 (>= 1.8.1), liberb-ruby1.8 (<< 1.8.2)
+Depends: liberb-ruby1.8
 Description: Tiny eRuby
  Yet another implementation of eRuby.  It is written as pure Ruby script.
  .
@@ -205,7 +205,7 @@
 
 Package: libyaml-ruby
 Architecture: all
-Depends: libyaml-ruby1.8 (>= 1.8.1), libyaml-ruby1.8 (<< 1.8.2)
+Depends: libyaml-ruby1.8
 Description: YAML for Ruby
  YAML(tm) (rhymes with "camel") is a straightforward machine parsable data
  serialization format designed for human readability and interaction with
@@ -220,7 +220,7 @@
 
 Package: librexml-ruby
 Architecture: all
-Depends: librexml-ruby1.8 (>= 1.8.1), librexml-ruby1.8 (<< 1.8.2)
+Depends: librexml-ruby1.8
 Description: pure Ruby non-validating XML parser supporting Namespaces, XPath
  REXML is a XML parser for Ruby written purely in Ruby so you don't need to
  install any binary libraries. It includes a DOM-like API which fits the
@@ -233,7 +233,7 @@
 
 Package: libdrb-ruby
 Architecture: all
-Depends: libdrb-ruby1.8 (>= 1.8.1), libdrb-ruby1.8 (<< 1.8.2)
+Depends: libdrb-ruby1.8
 Description: Distributed Ruby
  An implementation of distributed object system by pure Ruby.  dRuby (DRb)
  can send message to other ruby script that like Java's RMI.
@@ -243,7 +243,7 @@
 
 Package: libxmlrpc-ruby
 Architecture: all
-Depends: libxmlrpc-ruby1.8 (>= 1.8.1), libxmlrpc-ruby1.8 (<< 1.8.2)
+Depends: libxmlrpc-ruby1.8
 Description: XML-RPC support for Ruby
  XML-RPC provides remote procedure calls over HTTP with XML. It is like SOAP
  but much easier. For more information see the XML-RPC homepage
@@ -254,7 +254,7 @@
 
 Package: libopenssl-ruby
 Architecture: all
-Depends: libopenssl-ruby1.8 (>= 1.8.1), libopenssl-ruby1.8 (<< 1.8.2)
+Depends: libopenssl-ruby1.8
 Description: OpenSSL interface for Ruby
  This package makes Ruby to be able to use OpenSSL. It includes HTTP and
  TELNET protocols' SSL/TLS support.
@@ -264,7 +264,7 @@
 
 Package: libwebrick-ruby
 Architecture: all
-Depends: libwebrick-ruby1.8 (>= 1.8.1), libwebrick-ruby1.8 (<< 1.8.2)
+Depends: libwebrick-ruby1.8
 Description: Simple HTTP Server Toolkit for Ruby
  WEBrick is a Ruby library program to build HTTP servers.
  .
