=== debian/rules ===
--- 
+++ 
@@ -95,6 +95,8 @@
 	DH_OPTIONS= dh_link -pri usr/share/man/man1/ri$(VER).1.gz usr/share/man/man1/ri.1.gz
 	DH_OPTIONS= dh_link -prdoc usr/bin/rdoc$(VER) usr/bin/rdoc
 	DH_OPTIONS= dh_link -prdoc usr/share/man/man1/rdoc$(VER).1.gz usr/share/man/man1/rdoc.1.gz
+	DH_OPTIONS= dh_link -plibtest-unit-ruby usr/bin/testrb$(VER) usr/bin/testrb
+	DH_OPTIONS= dh_link -plibtest-unit-ruby usr/share/man/man1/testrb$(VER).1.gz usr/share/man/man1/testrb.1.gz
 #	dh_strip
 	dh_compress 
 	dh_fixperms
