## ruby-defaults 1.8.2-1maemo0

=== debian/changelog ===
ruby-defaults (1.8.2-1maemo0) unstable; urgency=low

  * Remove TCL/TK package

 -- Faheem Pervez <trippin1@gmail.com>  Fri,  3 Jul 2009 17:55:13 +0100
