=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: ruby-defaults
 Section: interpreters
 Priority: optional
-Maintainer: Fumitoshi UKAI <ukai@debian.or.jp>
-Uploaders: akira yamada <akira@debian.org>, Akira TAGOH <tagoh@debian.org>
+Original-Maintainer: Fumitoshi UKAI <ukai@debian.or.jp>
+Maintainer: Faheem Pervez <trippin1@gmail.com>
+XSBC-Original-Uploaders: akira yamada <akira@debian.org>, Akira TAGOH <tagoh@debian.org>
 Build-Depends-Indep: debhelper (>> 4.0.0), debiandoc-sgml
 Standards-Version: 3.6.1
 
@@ -82,25 +83,6 @@
  .
  SDBM is ndbm work-alike hashed database library based on Per-Aake Larson's
  Dynamic Hashing algorithms. BIT 18 (1978).
- .
- This package is a dependency package, which depends on Debian's default
- Ruby version (currently 1.8.x).
-
-Package: libtcltk-ruby
-Architecture: all
-Depends: libtcltk-ruby1.8
-Description: Tcl/Tk interface for Ruby
- Tcl/Tk library for Ruby provides low level interface to the Tcl/Tk.
- .
- This package is a dependency package, which depends on Debian's default
- Ruby version (currently 1.8.x).
-
-Package: libtk-ruby
-Architecture: all
-Depends: libtk-ruby1.8
-Description: Tk interface for Ruby
- Tk library for Ruby provides interface to the Tk.  This is built on top of
- Tcl/Tk library (libtcltk-ruby).
  .
  This package is a dependency package, which depends on Debian's default
  Ruby version (currently 1.8.x).
