## ruby-defaults 1.9.3

=== debian/changelog ===
ruby-defaults (1:1.9.3) unstable; urgency=low

  * declare Breaks: apt-listbugs (<< 0.1.6) in ruby package to avoid breaking
    squeeze/wheezy upgrades when apt-listbugs is installed (Closes: 700671).

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 23 Feb 2013 10:45:13 -0300

ruby-defaults (4.9) unstable; urgency=low

  [ Shawn Landden ]
  * Switch default ruby version to 1.9.
  * Drop "transitional package" desciptions to something more similar to
    Python default version packages.
  * Convert copyright file to machine readable specification.

  [ Antonio Terceiro ]
  * debian/control:
    + add myself to Uploaders:
    + bump standards version to 3.9.3. No changes needed.
  * added debian/source/format

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 03 Jun 2012 14:55:39 -0300

ruby-defaults (4.8) unstable; urgency=high

  * Drop ruby-elisp, since the corresponding ruby1.8 package was dropped.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 26 Apr 2011 22:54:16 +0200

ruby-defaults (4.7) unstable; urgency=low

  * Switch to git. Update Vcs-* fields.
  * Upload to unstable.
  * Sync Maintainers and Uploaders with those from ruby1.8 and ruby1.9.1
  * Bump Standards-Version to 3.9.1. No changes needed.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 25 Mar 2011 10:26:57 +0100

ruby-defaults (4.6) experimental; urgency=low

  * Remove the Ruby policy from the package. It is no longer applied to ruby
    packages anyway.
  * Make all binary packages transitional packages for their ruby1.8
    counterparts. This source package can be dropped after the wheezy release.
  * Upload to experimental. Changes are very intrusive and need
    extensive testing.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 05 Mar 2011 21:09:30 +0100

ruby-defaults (4.5) unstable; urgency=low

  * Merge irb and rdoc into ruby.
  * Merge lib{dbm,gdbm,readline,openssl}-ruby into libruby.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Mon, 03 May 2010 22:11:28 +0200

ruby-defaults (4.4) unstable; urgency=low

  * Change section to ruby. Agree with ftpmaster.
  * Drop transitional dummy packages,  not needed in squeeze:
    libtk-ruby libcurses-ruby libzlib-ruby libyaml-ruby libwebrick-ruby
    libxmlrpc-ruby librexml-ruby libtest-unit-ruby liberb-ruby libdrb-ruby
    libracc-runtime-ruby libiconv-ruby libstrscan-ruby libsyslog-ruby
    libbigdecimal-ruby libpty-ruby libdl-ruby libsdbm-ruby
  * Standards-Version -> 3.8.4. No changes needed.
  * Add ${misc:Depends} everywhere to make lintian happy.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 18 Mar 2010 11:13:10 +0100

ruby-defaults (4.3) unstable; urgency=low

  * In the 'ruby' meta-package, suggest to install the main other packages
    that are of interest to ruby users.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 18 Mar 2010 08:33:09 +0100

ruby-defaults (4.2) unstable; urgency=low

  * debian/control: Added Homepage and Vcs-* fields.
  * Added ruby-dev package, depending on ruby1.8-dev. (Closes: #301534)

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 20 Mar 2008 21:27:58 +0100

ruby-defaults (4.1) unstable; urgency=low

  * Switched to cdbs.
  * Added ruby-full package, which depends on everything part of the "normal"
    ruby tarball-based installation. Supersedes the ruby-full source package.
    Closes: #460465.
  * Corrected Conflicts/Replaces. I was using < 1:1.8.2-3, because, before
    using 3, 4, 4.1 as verisoning scheme, I considered using an epoch, but
    changed my mind. Fixes unreported build failure of rails.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 17 Jan 2008 10:03:27 +0100

ruby-defaults (4) unstable; urgency=low

  * Moved debhelper to Build-Depends (fixes lintian error).
  * Upgraded to policy 3.7.3. No changes needed.
  * No longer ignore make clean errors. (fixes lintian warning).
  * Bumped version to 4. There was a binary package in ruby-defaults with
    version 3.X, so, 4 is the lowest we can bump to.
  * Add links from (erb, testrb) to (erb1.8, testrb1.8). (Closes: #330352)

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sun, 13 Jan 2008 00:19:08 +0100

ruby-defaults (3) unstable; urgency=low

  * Replaced dependency packages by Replaces+Provides in libruby.
    Closes: #209701, #210068, #209787, #210164, #300026.
  * Merged libtk-ruby into libtcltk-ruby, like their ruby1.8 counterparts.
  * Added dummy packages so dist-upgrades work. (tested)
  * Improved description for ruby-elisp, by taking ruby1.8's description
    (Closes: #209706).
  * Improved libruby's description (Closes: #209719).
  * Improved libdbm-ruby's description (Closes: #209756).
  * Improved libgdbm-ruby's description (Closes: #209978).
  * Improved libtcltk-ruby's description (Closes: #210042).
  * libruby depends on libruby1.8, which includes most of stdlib, and
    there's also ruby-full if someone want to install all of ruby, so
    there's no need anymore for a ruby-stdlib package (Closes: #286400).
  * Since libopenssl-ruby is now part of stdlib, there's no need to version
    it differently.
  * Removed debian/versions as it's useless now.
  * Bumped version to "3". There's not much point in following ruby's
    versions in the ruby-defaults package. The alternative would have been
    to add an epoch instead (needed so that libruby can replace librexml-ruby
    (which has version 3.1.2.1+ruby1.8.2-1 in etch), libdrd-ruby and
    liberb-ruby (which have version 2.0.4+ruby1.8.2-1)). (Closes: #359810)

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Wed, 09 Jan 2008 09:20:29 +0100

ruby-defaults (1.8.2-2) unstable; urgency=high

  [ Fumitoshi UKAI ]
  * doc/ruby-policy.sgml: interpreter-location.
    it is not advisable to use /usr/bin/env, because it bypasses
    debian's dependency and makes the package vulnerable to incomplete
    local installations of ruby. e.g. Bug#344246 and Bug#344988

  [ Lucas Nussbaum ]
  * Added myself to the Uploaders field, as I'm now part of the pkg-ruby team.

