## ruby-defaults 1.9.3.4

=== debian/changelog ===
ruby-defaults (1:1.9.3.4) unstable; urgency=medium

  * ruby-all-dev: also depend on the actual interpreters and not only on the
    -dev packages
  * ruby-all-dev: ship library with data about supported interpreters
    - ruby_debian_dev.rb will be be used by gem2deb
  * Add a simple DEP-8 smoke test
  * Drop Conflicts/Replaces/Provides on obsolete packages that are not even on
    squeeze anymore

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 12 Feb 2014 09:33:39 -0300

ruby-defaults (1:1.9.3.3) unstable; urgency=medium

  * Breaks ruby-switch <= 0.1.0 and rbenv <= 0.4.0-1
    - the mention of `ruby-build` in the previous release was a typo.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 06 Feb 2014 17:56:55 -0300

ruby-defaults (1:1.9.3.2) unstable; urgency=medium

  * Breaks ruby-build << 0.1.0 and rbenv << 0.4.0-1
    - The removal of the alternatives entries breaks both packages ability to
      detect installed interpreters.
  * Put myself as maintainer, move akira yamada <akira@debian.org> to
    Uploaders:. Add Christian Hofstaedtler to Uploaders:

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 06 Feb 2014 15:07:57 -0300

ruby-defaults (1:1.9.3.1) unstable; urgency=medium

  * Switch from cdbs to debhelper
  * `ruby` now Conflicts with ruby1.8 and rubygems packages, which should be
    removed from the archive soonish.
  * Take control of /usr/bin/{erb,testrb,irb,rdoc,gem,ri,ruby} binaries
    - update-alternatives for /usr/bin/ruby and slave symlinks is not
      supported anymore.
    - Those binaries will now be part of this package and will point to the
      binaries provided by the default Ruby

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 01 Feb 2014 21:55:19 -0300
