=== debian/rules ===
#!/usr/bin/make -f

export DEBIAN_DEFAULT_RUBY_VERSION=1.9.1
export DEBIAN_RUBY_PROGRAMS = \
  erb \
  gem \
  irb \
  rdoc \
  ri \
  testrb \
  ruby

%:
	dh $@
